Bug 4816 - Type1 fonts whose names end in "koi8-r" aren't displayed properly
Type1 fonts whose names end in "koi8-r" aren't displayed properly
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
ftp://ftp.kapella.gpi.ru/pub/cyrillic...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-31 21:31 EDT by dcoffin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-01 10:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dcoffin 1999-08-31 21:31:04 EDT
(1)  Download this file and unpack the fonts therein:

ftp://ftp.kapella.gpi.ru/pub/cyrillic/psfonts/gs-type1_koi8_fonts.tgz

(2)  Copy the following to fonts.dir:

16
cokoi8n.pfb -er-kurier
cyr-medium-r-normal--0-0-0-0-m-0-koi8-r
cokoi8i.pfb -er-kurier
cyr-medium-i-normal--0-0-0-0-m-0-koi8-r
cokoi8b.pfb -er-kurier
cyr-bold-r-normal--0-0-0-0-m-0-koi8-r
cokoi8bi.pfb -er-kurier
cyr-bold-i-normal--0-0-0-0-m-0-koi8-r
arial8.pfb -mt-arial cyr-medium-r-normal--0-0-0-0-p-0-koi8-r
ariali8.pfb -mt-arial
cyr-medium-i-normal--0-0-0-0-p-0-koi8-r
arialbd8.pfb -mt-arial cyr-bold-r-normal--0-0-0-0-p-0-koi8-r
arialbi8.pfb -mt-arial cyr-bold-i-normal--0-0-0-0-p-0-koi8-r
cour8.pfb -mt-courier
cyr-medium-r-normal--0-0-0-0-m-0-koi8-r
couri8.pfb -mt-courier
cyr-medium-i-normal--0-0-0-0-m-0-koi8-r
courbd8.pfb -mt-courier
cyr-bold-r-normal--0-0-0-0-m-0-koi8-r
courbi8.pfb -mt-courier
cyr-bold-i-normal--0-0-0-0-m-0-koi8-r
times8.pfb -mt-times cyr-medium-r-normal--0-0-0-0-p-0-koi8-r
timesi8.pfb -mt-times
cyr-medium-i-normal--0-0-0-0-p-0-koi8-r
timesbd8.pfb -mt-times cyr-bold-r-normal--0-0-0-0-p-0-koi8-r
timesbi8.pfb -mt-times cyr-bold-i-normal--0-0-0-0-p-0-koi8-r

(3)  Do "xset +fp $PWD"

(4)  Run "xfontsel" to look at these fonts.

     The fonts show ASCII characters only; all the Russian
letters are blank.  Now edit font.dir, and change "koi8-r"
to
something else, like "foo-r" or "koi-s".  Do "xset fp
rehash",
run "xfontsel" again, and Russian letters magically
appear!

     This behavior is new to Red Hat 6.0.  How do I
configure
X to display *all* glyphs of *all* fonts, regardless of
name?
Comment 1 dcoffin 1999-08-31 21:33:59 EDT
fonts.dir got mangled.  Each line should start with the name
of a .pfb file.
Comment 2 Preston Brown 1999-09-01 10:07:59 EDT
verified correct.  I am talking to the author of xfsft about why this
may be happening.
Comment 3 Preston Brown 1999-09-01 10:41:59 EDT
From the xfsft author:

The fonts are buggy.  Actually, it's a bug in ttf2pt1.  I've had an
extended discussion with the developers of the latter program, and
after an exchange of a couple of dozen e-mails they have refused to
modify their software.
Basically, before xfsft X11 used to be broken w.r.t. international
Type 1 fonts.  For this reason, people generate fonts that work around
the bugs in X11.  Xfsft makes the renderer comply with the Adobe
standards.  This is standard behaviour in XFree86 3.9 and later, so I
suggest you keep it in.

Workarounds are described in

  http://www.dcs.ed.ac.uk/home/jec/programs/xfsft/encodings.html

Note You need to log in before you can comment on or make changes to this bug.